Set Price List Record by Currency Code

Creates or updates a *Price List Record* using the currency code. **Notes** * Supports up to 40 simultaneous PUT requests. Running more than the allowed number of requests concurrently on the same store will result in a `429` status error, and your additional requests will fail.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

price_list_idintegerRequired

The ID of the Price List requested.

variant_idintegerRequired
ID of the variant on a product, or on an associated Price List Record.
currency_codestringRequiredformat: "ISO-4217"
The currency code associated with the price record being acted upon.

Request

Common Price Record properties.
pricedoubleOptional

The list price for the variant mapped in a Price List. Overrides any existing or Catalog list price for the variant/product.

sale_pricedoubleOptional

The sale price for the variant mapped in a Price List. Overrides any existing or Catalog sale price for the variant/product. If empty, the sale price will be treated as not being set on this variant.

retail_pricedoubleOptional

The retail price for the variant mapped in a Price List. Overrides any existing or Catalog retail price for the variant/product. If empty, the retail price will be treated as not being set on this variant.

map_pricedoubleOptional

The MAP (Minimum Advertised Price) for the variant mapped in a Price List. Overrides any existing or Catalog MAP price for the variant/product. If empty, the MAP price will be treated as not being set on this variant.

bulk_pricing_tierslist of objectsOptional

Response

dataobject
The Price Record object.
metaobject
Response metadata.

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error